%define rname libssh2

%define major 1
%define libname	%mklibname ssh2_ %{major}
%define develname %mklibname ssh2 -d

Summary:	A library implementing the SSH2 protocol
Name:		%{rname}
Version:	1.7.0
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		http://www.libssh2.org/
Source0:	http://www.libssh2.org/download/%{rname}-%{version}.tar.gz
Source1:	http://www.libssh2.org/download/%{rname}-%{version}.tar.gz.asc
BuildRequires:	pkgconfig
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	libtool

%description
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n     %{libname}
Summary:	A library implementing the SSH2 protocol
Group:		System/Libraries

%description -n %{libname}
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package -n	%{develname}
Summary:	Static library and header files for the %{rname} library
Group:		Development/C
Provides:	%{rname}-devel = %{version}
Provides:	libssh-devel = %{version}
Provides:	libssh2-devel = %{version}
Provides:	ssh2-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
libssh2 is a library implementing the SSH2 protocol as defined by Internet
Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25), SECSH-CONNECTION(23),
SECSH-ARCH(20), SECSH-FILEXFER(06)*, SECSH-DHGEX(04), and SECSH-NUMBERS(10).

This package contains the static %{rname} library and its header files.

%prep
%setup -q -n %{rname}-%{version}

%build
%serverbuild
%configure2_5x \
    --without-libgcrypt-prefix \
    --with-openssl=%{_prefix} \
    --with-libz=%{_prefix}

%make

##%check
#make check <- barfs at "Failed requesting pty", works as root

%install
%makeinstall_std

%files -n %{libname}
%doc COPYING ChangeLog NEWS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_mandir}/man3/*
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Apr 15 2016 tv <tv> 1.7.0-2.mga6
+ Revision: 1001693
- provides libssh2-devel

* Wed Feb 24 2016 luigiwalser <luigiwalser> 1.7.0-1.mga6
+ Revision: 978305
- 1.7.0 (fixes CVE-2016-0787)

* Fri Dec 18 2015 oden <oden> 1.6.0-1.mga6
+ Revision: 911630
- 1.6.0

* Fri Aug 21 2015 tmb <tmb> 1.4.3-7.mga6
+ Revision: 867740
- rebuild for new gcc

* Wed Mar 11 2015 luigiwalser <luigiwalser> 1.4.3-6.mga5
+ Revision: 818408
- add upstream patch to fix CVE-2015-1782

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-5.mga5
+ Revision: 748523
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 681799
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-3.mga4
+ Revision: 507331
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 358212
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 luigiwalser <luigiwalser> 1.4.3-1.mga3
+ Revision: 334831
- 1.4.3

* Fri Jun 01 2012 dams <dams> 1.4.2-1.mga3
+ Revision: 252775
- new version 1.4.2

* Fri Mar 02 2012 fwang <fwang> 1.4.0-1.mga2
+ Revision: 216633
- new version 1.4.0

* Wed Sep 14 2011 tv <tv> 1.3.0-1.mga2
+ Revision: 143310
- new release

* Tue Sep 06 2011 tv <tv> 1.2.9-1.mga2
+ Revision: 139699
- new release

* Mon Apr 11 2011 dmorgan <dmorgan> 1.2.8-1.mga1
+ Revision: 83169
- New version 1.2.8

  + pterjan <pterjan>
    - Drop obsolete scriptlets
    - imported package libssh2

